
Redmine - Defect #42342

Missing thousands separator in Integer and Float custom field totals

2025-03-01 09:45 - Katsuya HIDAKA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 6.0.5   

Resolution: Fixed Affected version: 6.0.0

Description

Even when the thousands separator option (introduced in #39997, Redmine 6.0.0) is enabled for integer or float custom fields, the

total values in issue lists and other objects are not displayed with thousands separators.

 issues.png 

Related issues:

Related to Redmine - Feature #39997: Add an option to render values of Intege... Closed

Associated revisions

Revision 23559 - 2025-03-26 03:38 - Go MAEDA

Missing thousands separator in Integer and Float custom field totals (#42342).

Patch by Katsuya HIDAKA (user:hidakatsuya).

Revision 23575 - 2025-03-27 02:14 - Go MAEDA

Merged r23559 from trunk to 6.0-stable (#42342).

History

#1 - 2025-03-01 09:47 - Katsuya HIDAKA

- File 0001-Fix-thousands-separator-for-integer-float-custom-field-totals.patch added

- File spent-times-after.png added

- File issues-after.png added

- File projects-after.png added

I'm attaching a patch to fix this issue.

Issues after applying this patch:
https://www.redmine.org/issues/39997


issues-after.png 

Spent time after applying this patch:
Projects after applying this patch:
I confirmed all tests includng system tests are passed:

https://github.com/hidakatsuya/redmine/actions/runs/13598913679

#2 - 2025-03-02 02:26 - Go MAEDA

- Related to Feature #39997: Add an option to render values of Integer- and Float-format custom fields with thousands delimiters added

#3 - 2025-03-02 02:27 - Go MAEDA

- Status changed from New to Confirmed

- Target version set to 6.0.4

#4 - 2025-03-02 08:39 - Go MAEDA

- Target version changed from 6.0.4 to 6.0.5
https://github.com/hidakatsuya/redmine/actions/runs/13598913679


#5 - 2025-03-26 03:40 - Go MAEDA

- Subject changed from Integer and Float custom field total not formatted with thousands separator to Missing thousands separator in Integer and

Float custom field totals

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r23559. Thank you for fixing the issue.

#6 - 2025-03-27 02:15 - Go MAEDA

- Status changed from Resolved to Closed

Merged the fix into 6.0-stable branch in r23575.
